summaryrefslogtreecommitdiff
path: root/TestScripts
diff options
context:
space:
mode:
authorJeffrey Walton <noloader@gmail.com>2016-11-07 06:20:24 -0500
committerJeffrey Walton <noloader@gmail.com>2016-11-07 06:20:24 -0500
commitb38edd49d8e9ce0b4a29f95725d60e0b05149cce (patch)
tree5624e3dd7f7b182f8b2d7c9f119b04dcc3666369 /TestScripts
parente4ddc44957bc3050b4bb98f3ff3de494baf9a007 (diff)
downloadcryptopp-git-b38edd49d8e9ce0b4a29f95725d60e0b05149cce.tar.gz
Switch test params to 5.6.5 and Master
Diffstat (limited to 'TestScripts')
-rwxr-xr-xTestScripts/cryptest-symbols.sh25
1 files changed, 21 insertions, 4 deletions
diff --git a/TestScripts/cryptest-symbols.sh b/TestScripts/cryptest-symbols.sh
index 6d81ad69..dd3a416c 100755
--- a/TestScripts/cryptest-symbols.sh
+++ b/TestScripts/cryptest-symbols.sh
@@ -9,8 +9,8 @@
############################################
# Tags to test
-OLD_VERSION_TAG=CRYPTOPP_5_6_4
-NEW_VERSION_TAG=CRYPTOPP_5_6_5
+OLD_VERSION_TAG=CRYPTOPP_5_6_5
+NEW_VERSION_TAG=master
############################################
# If repo is dirty, then promt first
@@ -18,6 +18,7 @@ NEW_VERSION_TAG=CRYPTOPP_5_6_5
DIRTY=$(git diff --shortstat 2> /dev/null | tail -n1)
if [[ ! (-z "$DIRTY") ]]; then
+ echo
echo "The local repo is dirty. Continuing will reset the repo and lose changes."
read -p "Type 'Y' to proceed. Proceed? " -n 1 -r
echo # (optional) move to a new line
@@ -25,10 +26,21 @@ if [[ ! (-z "$DIRTY") ]]; then
[[ "$0" = "$BASH_SOURCE" ]] && exit 0 || return 0
fi
else
+ echo
echo "The repo is clean. Proceeding..."
+ echo
fi
############################################
+
+echo "****************************************************************"
+echo "****************************************************************"
+echo "Testing '$OLD_VERSION_TAG' against '$NEW_VERSION_TAG'"
+echo "****************************************************************"
+echo "****************************************************************"
+echo
+
+############################################
# Setup tools and platforms
GREP=grep
@@ -185,7 +197,6 @@ if [[ ("$CPU_COUNT" -ge "2" && "$MEM_SIZE" -ge "1280" && "$HAVE_SWAP" -ne "0") ]
CPU_COUNT=$(echo -n "$CPU_COUNT 2" | "$AWK" '{print int($1/$2)}')
fi
MAKEARGS=(-j "$CPU_COUNT")
- echo "Using $MAKE -j $CPU_COUNT"
fi
###############################################################################
@@ -213,12 +224,14 @@ git diff --exit-code
echo "****************************************************************"
echo "Building library for $OLD_VERSION_TAG"
echo "****************************************************************"
+echo
"$MAKE" "${MAKEARGS[@]}" -f GNUmakefile-symbols dynamic
echo "****************************************************************"
echo "Building cryptest.exe for $OLD_VERSION_TAG"
echo "****************************************************************"
+echo
"$MAKE" "${MAKEARGS[@]}" -f GNUmakefile-symbols cryptest.exe
@@ -227,6 +240,7 @@ if [[ -f "cryptest.exe" ]]; then
echo "****************************************************************"
echo "Running $OLD_VERSION_TAG cryptest.exe using $OLD_VERSION_TAG library"
echo "****************************************************************"
+ echo
if [[ "$IS_DARWIN" -ne "0" ]]; then
DYLD_LIBRARY_PATH="$PWD:$DYLD_LIBRARY_PATH" "$PWD/cryptest.exe" v 2>&1 | c++filt
@@ -242,6 +256,7 @@ fi
echo "****************************************************************"
echo "Removing dynamic library for $OLD_VERSION_TAG"
echo "****************************************************************"
+echo
rm -f *.o *.so *.dylib
@@ -250,6 +265,7 @@ git checkout "$NEW_VERSION_TAG" -f &>/dev/null
echo "****************************************************************"
echo "Building dynamic library for $NEW_VERSION_TAG"
echo "****************************************************************"
+echo
"$MAKE" "${MAKEARGS[@]}" -f GNUmakefile-symbols dynamic
@@ -258,6 +274,7 @@ if [[ -f "cryptest.exe" ]]; then
echo "****************************************************************"
echo "Running $OLD_VERSION_TAG cryptest.exe using $NEW_VERSION_TAG library"
echo "****************************************************************"
+ echo
if [[ "$IS_DARWIN" -ne "0" ]]; then
DYLD_LIBRARY_PATH="$PWD:$DYLD_LIBRARY_PATH" "$PWD/cryptest.exe" v 2>&1 | c++filt
@@ -272,4 +289,4 @@ fi
git checkout master -f &>/dev/null
-[[ "$0" = "$BASH_SOURCE" ]] && exit 0 || return 0] \ No newline at end of file
+[[ "$0" = "$BASH_SOURCE" ]] && exit 0 || return 0